routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['prefix'=>'home','middleware'=>['auth']],function() {
    Route::get('/', 'HomeController@index')->name('home');
    Route::resource('/prescription','ResourceControllers\PrescriptionController');
    Route::resource('/ingridient','ResourceControllers\IngridientController');
    Route::post('/prescription/change',array('as' => 'prescription.change', 'uses' => 'ResourceControllers\PrescriptionController@change'));
    Route::get('prescription/{site}/delete', ['as' => 'prescription.delete', 'uses' => 'ResourceControllers\PrescriptionController@destroy']);
    Route::get('ingridient/{site}/delete', ['as' => 'ingridient.delete', 'uses' => 'ResourceControllers\IngridientController@destroy']);
    Route::get('/parse',array('as' => 'parse', 'uses' => 'HomeController@parse'));
});
Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

app/Prescription.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Prescription extends Model
{
    public function ingredients()
    {
        return $this->belongsToMany('App\Ingridient', 'ingridient_prescriptions')
            -> withPivot ( 'dimension_id', 'count' )
            -> withTimestamps ();
    }

    public function dimensions()
    {
        return $this->belongsToMany('App\Dimension', 'ingridient_prescriptions');
    }

    public function ingridient_prescriptions()
    {
        return $this->hasMany('App\Ingridient_Prescription');
    }
}

app/Http/Controllers/ResourceControllers/PrescriptionController.php
<?php

namespace App\Http\Controllers\ResourceControllers;

use App\Dimension;
use App\Ingridient_Prescription;
use App\Prescription;
use App\Ingridient;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PrescriptionController extends Controller
{
    public function index()
    {
       return view('prescription.index', [
            'ingridients' => Prescription::all()
       ]);
    }

    public function create()
    {
        return view('prescription.create', [
            'prescriptions' => [],
            'ingridients_all' => Ingridient::all(),
            'dimensions_all' => Dimension::all(),
            'create' => true,
            'route' => 'prescription.store',
            'method' => 'post',
            'h1' => 'Добавление рецепта'
        ]);
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'description' => 'required',
        ]);
        $prescription = new Prescription;
        $prescription->name = $request->name;
        $prescription->description = $request->description;;
        $prescription->save();
        foreach ($request->dimension as $key => $val ) {
            $ingridient = Ingridient::find($request->ingridients[$key]);
            $array = [
                'dimension_id' => $val,
                'count' => $request->count[$key]
            ];
            $ingridient->prescriptions()->attach($prescription,$array);
        }
        return redirect('home/prescription/')->with('success', 'Рецепт успешно добавлен!');
    }

    public function show($id)
    {
      return view('prescription.show', [
          'prescriptions' => Prescription::find($id),
          'ingridients' => Prescription::find($id)->ingredients()->orderBy('ingridient_prescriptions.ingridient_id')->get(),
          'dimensions' => Prescription::find($id)->dimensions()->orderBy('ingridient_prescriptions.ingridient_id')->get(),
          'ingridient_prescription_count' => Ingridient_Prescription::prescription_Id($id)->orderBy('ingridient_prescriptions.ingridient_id')->get(),
      ]);
    }

    public function edit($id)
    {
        return view('prescription.create', [
            'prescriptions' => Prescription::find($id),
            'ingridients' => Prescription::find($id)->ingredients()->orderBy('ingridient_prescriptions.ingridient_id')->get(),
            'ingridients_all' => Ingridient::all(),
            'dimensions' => Prescription::find($id)->dimensions()->orderBy('ingridient_prescriptions.ingridient_id')->get(),
            'dimensions_all' => Dimension::all(),
            'counts' => Prescription::find($id)->ingridient_prescriptions()->orderBy('ingridient_prescriptions.ingridient_id')->get(),
            'create' => false,
            'route' => 'prescription.update',
            'method' => 'PUT',
            'h1' => 'Редактирование рецепта'
        ]);
    }

    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'description' => 'required',
            'ingridients' => 'required'
        ]);
        $prescription = Prescription::find($id);
        $prescription->name = $request->input('name');
        $prescription->description = $request->input('description');
        $prescription->save();
        foreach ($request->ingridients as $key => $val) {
            $array[$val] = [
                'dimension_id' => $request->dimension[$key],
                'count' => $request->count[$key]
            ];
        }
        $prescription->ingredients()->sync($array);
        return redirect('home/prescription')
            ->with('success', 'Рецепт успешно изменен!');
    }

    public function destroy($id)
    {
        $precription = Prescription::find($id);
        $precription->delete();
        return redirect('home/prescription')
            ->with('success', 'Рецепт успешно удален!');
    }

    public function change(Request $request)
    {
        Ingridient_Prescription::where([
            ['prescription_id', $request->prescription_id],
            ['ingridient_id', $request->ingredient_id]
        ])
            ->update([
                'count' => $request->count_data
            ]);
    }
}

resources/views/prescription/create.blade.php
@extends('layouts.app')

@section('content')

    <div class="content-wrapper" style="min-height: 92%;">

        <section class="container"
            <!-- Breadcrumb -->
        <h1 class="mt-2">{{$h1}}</h1>
            <!-- /Breadcrumb -->
            @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
        <form class="form-horizontal"  action="{{route($route,$prescriptions)}}" method="POST">
            {{method_field($method)}}
            {{ csrf_field() }}
            @include('prescription.partials.form')
        </form>
            <div id="myModal1" class="modal">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <span class="close"></span>
                        <div class="order_call_header">
                            <h1 id="popup_text" class="ml-3">Добавление ингредиента</h1>
                        </div>
                        <div class="modal-body">
                            <form  method="POST"  class="consultation" id="contactform">
                                <label for="fio" class="center-block">Название</label>
                                <input type="text" class="form-check mb-3" id="name_ing"><hr>
                                <div class="send col-xs-4 btn btn-secondary pull-right btn-lg" id="new_ing_create"  type="submit">Сохранить</div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
    </div>
    </div>
@endsection

resources/views/prescription/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="content-wrapper" style="min-height: 92%;">
        <section class="container">
            @if (session()->has('success')) <div><h1 class="mt-2 text-success text-center">{{ session('success') }}</h1></div> @endif
            <h1 class="pull-left mt-3" >Мои рецепты</h1>
            <a style="-webkit-margin-before: 2em;-webkit-margin-after: 0.67em;" href="{{route('prescription.create')}}" class="btn btn-primary pull-right ">Добавить рецепт</a>
            <table class="table table-striped">
                <thead>
                    <th>Рецепт</th>
                    <th>Описание</th>
                    <th class="text-right">Действие</th>
                </thead>
                <tbody>
                    @forelse($ingridients as $prescription)
                        <tr>
                            <td class="align-middle">{{$prescription->name}}</td>
                            <td class="align-middle">{{$prescription->description}}</td>
                            <td >
                                <a href="{{route('prescription.delete',$prescription->id)}}" class="btn btn-default pull-right"> <i class="nav-icon fa fa-trash"></i></a>
                                <a href="{{route('prescription.edit',$prescription->id)}}" class="btn btn-default pull-right mr-2"> <i class="nav-icon fa fa-edit"></i></a>
                                <a href="{{route('prescription.show',$prescription->id)}}" class="btn btn-default pull-right mr-2"> <i class="nav-icon fa fa-eye"></i></a>
                            </td>
                        </tr>
                    @empty
                    @endforelse
                </tbody>
            </table>
        </section>
    </div>
@endsection

resources/views/prescription/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="content-wrapper" style="min-height: 92%;">
        @extends('layouts.sidebar')
        <div class="container">
            <form>
                <h1 class="mt-1">{{$prescriptions->name}}</h1>
                <p>{{$prescriptions->description}}</p>
                <input   id="id_prescription" style="display:none; "value="{{$prescriptions->id}}">
                <div class="col-md-3"><label>Ингридиент </label></div><label> Количество</label><hr>
                @forelse ($ingridients as $key =>$ingridient)
                    <div id='form_add_left' style='width: 25%; float: left; display:block; margin-bottom: 2%;'>
                        <p>{{$ingridient->name}}<p>  <hr>
                    </div>
                    <div id='form_add_right' style='width: 20%; float: left;display: inline-block;margin-right: 40%;margin-bottom: 2%;'>
                        <div class=""> <input value="{{$ingridient_prescription_count[$key]->count}}"  onchange="edit_save(this,{{$ingridient->id}})" type="text" class="col-xs-3 border-0"> </div>
                        <div class=""> <p > {{$dimensions[$key]->name}}</p><hr> </div>
                    </div>
                @empty
                @endforelse
            </form>
        </div>
    </div>
@endsection
<script>
    function edit_save(element,id_ingredient){
        var id_prescription="<?php echo $prescriptions->id?>";
            $.ajaxSetup({
                beforeSend: function(xhr, type) {
                    if (!type.crossDomain) {
                        xhr.setRequestHeader('X-CSRF-Token', $('meta[name="csrf-token"]').attr('content'));
                    }
                },
            });
            $.ajax({
                type:'post',
                url:'{{route('prescription.change')}}',
                data:{count_data:$(element).val(),ingredient_id:id_ingredient,prescription_id:"<?php echo $prescriptions->id?>"},
                success:function(result){
                },
                error: function(result){
                    console.log(result);
                }
            });
        }
</script>